#!/bin/sh

if [ -z "${1}" ]; then
  echo "Usage: ${0} <symbol>"
  exit 1
fi

for file in `find /usr/lib/x86_64-linux-gnu/ -type f -name libmkl*`; do
  if `strings ${file} | grep -q "^${1}\$"`; then
    echo "Symbol ${1} found in ${file}"
  fi
done
